Node.js
import { Rewrite } from '@rewritetoday/sdk';
const rewrite = new Rewrite(process.env.REWRITE_API_KEY!);
const { data, error } = await rewrite.contacts.get(
'748395130237498515',
);
if (error) throw error;{
"ok": true,
"data": {
"id": "748395130237498515",
"createdAt": "2026-03-20T14:22:31.562Z",
"name": "Fernanda",
"phone": "+5511999999999",
"country": "br",
"channel": "SMS",
"preferredLanguages": [
"br",
"us"
],
"tags": {
"flow": "checkout",
"origin": "import"
},
"sandbox": false,
"updatedAt": "2026-03-20T14:22:31.562Z"
}
}Contacts
Get a contact
Fetch one contact by its numeric ID or by its saved contact name.
GET
/
contacts
/
{identifier}
Node.js
import { Rewrite } from '@rewritetoday/sdk';
const rewrite = new Rewrite(process.env.REWRITE_API_KEY!);
const { data, error } = await rewrite.contacts.get(
'748395130237498515',
);
if (error) throw error;{
"ok": true,
"data": {
"id": "748395130237498515",
"createdAt": "2026-03-20T14:22:31.562Z",
"name": "Fernanda",
"phone": "+5511999999999",
"country": "br",
"channel": "SMS",
"preferredLanguages": [
"br",
"us"
],
"tags": {
"flow": "checkout",
"origin": "import"
},
"sandbox": false,
"updatedAt": "2026-03-20T14:22:31.562Z"
}
}Authorizations
Send your API key as Authorization: Bearer rw_....
Required scope: project:read.
Path Parameters
Contact identifier. It accepts either a contact ID or a saved contact name.